| OpenSubdiv

Loading...
Searching...
No Matches
Namespaces | Typedefs | Enumerations | Functions
error.h File Reference
`#include "../version.h"`

Go to the source code of this file.

## Namespaces
namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Far

## Typedefs
typedef void(* | ErrorCallbackFunc) (ErrorType err, const char *message)
| The error callback function type (default is "printf")
typedef void(* | WarningCallbackFunc) (const char *message)
| The warning callback function type (default is "printf")

## Enumerations
enum | ErrorType { FAR_NO_ERROR , FAR_FATAL_ERROR , FAR_INTERNAL_CODING_ERROR , FAR_CODING_ERROR , FAR_RUNTIME_ERROR }

## Functions
void | SetErrorCallback (ErrorCallbackFunc func)
| Sets the error callback function (default is "printf")
void | SetWarningCallback (WarningCallbackFunc func)
| Sets the warning callback function (default is "printf")
void | Error (ErrorType err, const char *format,...)
| Sends an OSD error with a message (internal use only)
void | Warning (const char *format,...)
| Sends an OSD warning message (internal use only)